KTimezoneSource Class Reference

`#include <ktimezones.h>`

Inheritance diagram for KTimezoneSource:

## Public Member Functions

| KTimezoneSource (const QString &db)
virtual QString | db ()
virtual bool | parse (const QString &zone, KTimezoneDetails &dataReceiver) const
Public Member Functions inherited from KShared
| KShared ()
| KShared (const KShared &)
KShared & | operator= (const KShared &)
void | _KShared_ref () const
void | _KShared_unref () const
int | _KShared_count () const

## Detailed Description

The KTimezoneSource class contains information source-dependent functions related to a timezone.

Create subclasses to implement custom sources of timezone information.

For example, to be able to create KTimezone objects from libical's VTIMEZONE objects:

- Subclass this class with a custom parse() routine.
- Create one or more instances of this class.
- Use the instance(s) to create KTimezone objects.
- If required, add the objects to a KTimezones database.

Since
  3.5

Author
  S.R.Haque srhaq.nosp@m.ue@i.nosp@m.ee.or.nosp@m.g.

Definition at line 51 of file ktimezones.h.

## Member Function Documentation

QString KTimezoneSource::db | ( |  | ) |

virtual

Location of system timezone information.

Returns
  value which can be combined with zone name to retrieve timezone info.

Definition at line 683 of file ktimezones.cpp.

bool KTimezoneSource::parse | ( | const QString & | zone,
|  | KTimezoneDetails & | dataReceiver
| ) |  | const

virtual

Extract timezone detail information.

The default implementation consists of a parser for zoneinfo files in tzfile(5).

Returns
  true if the parse encountered no errors.

Definition at line 688 of file ktimezones.cpp.

The documentation for this class was generated from the following files:

- ktimezones.h
- ktimezones.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys